Bug 136546 - Unable to perform installation from USB CD-ROM
Unable to perform installation from USB CD-ROM
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-20 16:54 EDT by Terry Froy
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 16:57:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Froy 2004-10-20 16:54:35 EDT
Description of problem:

I am attempting to install Fedora Core 3 Test 3 on a machine equipped
with a MegaRAC G2 remote management card (see
http://www.ami.com/megarac/).

This is a PCI card which appears to the host machine as an ATI Rage XL
videocard but has a special cable which has one end connected to the
back of the card and the other end directly into a USB port on the
host machine's motherboard.

Once this is connected, the host operating system sees a USB keyboard,
USB mouse and a USB CD-ROM drive... allowing the end-user to remote
control the system and perform a remote CD boot and re-install of the
host operating system as necessary.

This is what it looks like to Red Hat 8.0:

[root@solstice /]# cat /proc/bus/usb/devices
T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB UHCI Root Hub
S:  SerialNumber=d800
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=255ms
T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc= 28/900 us ( 3%), #Int=  2, #Iso=  0
D:  Ver= 1.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB UHCI Root Hub
S:  SerialNumber=d400
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=255ms
T:  Bus=01 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#= 14 Spd=12  MxCh= 4
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=03eb ProdID=3312 Rev= 3.00
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr= 64mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   1 Ivl=255ms
T:  Bus=01 Lev=02 Prnt=14 Port=00 Cnt=01 Dev#= 15 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=046b ProdID=ff20 Rev= 1.00
S:  Manufacturer=American Megatrends Inc.
S:  Product=Virtual Cdrom Device
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 2 Cls=08(stor.) Sub=05 Prot=50 Driver=usb-storage
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
T:  Bus=01 Lev=02 Prnt=14 Port=02 Cnt=02 Dev#= 16 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=046b ProdID=ff10 Rev= 1.00
S:  Manufacturer=American Megatrends Inc.
S:  Product=Virtual Keyboard and Mouse
C:* #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=01 Driver=hid
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=10ms
I:  If#= 1 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=hid
E:  Ad=82(I) Atr=03(Int.) MxPS=   8 Ivl=10ms

While the server BIOS is happy to boot CD #1 of Fedora Core 3 Test 3,
the install always stops at the following:

---
CD Not Found

The Fedora Core CD was not found
in any of your CDROM drives.
Please insert the Fedora Core CD
and press OK to retry.
---

The CD passes the media check in the servers' local IDE CD-ROM drive
and in the MegaRAC client machines' CD-ROM drive.

To clarify this point entirely, I have installed four full copies of
Fedora Core 3 Test 3 from this media; definitely not a media issue :-p

This problem does not occur under Red Hat 8.0 but have not verified if
it is an issue with Red Hat 9 or any of the earlier Fedora Core
releases (either test or final).

Version-Release number of selected component (if applicable):

How reproducible:
Always

Steps to Reproduce:
1. Boot CD #1 on a USB-removable CD-ROM drive like the G2's CD-ROM
emulator.
2. Choose language, etc, etc.
3. 'CD Not Found' message displayed.

Actual results:
'CD Not Found' message displayed.

Expected results:
The installation should proceed normally.

Additional info:
I haven't actually checked if the usb-storage.ko module has been
loaded by anaconda at this point.... one would assume that if this is
the case, it would definitely be a bug in anaconda or the initscript
which loads the kernel modules required to perform installation.

I will be re-attempting installation tomorrow so I'll be sure to do an
'lsmod' on tty2 and add some info to this bug as to what I find.

If there is anything you want me to run on the host machine
before/during/after installation, please add any such comments to this
bug.

I'm not particularly concerned if this cannot be resolved until after
the release of Fedora Core 3 as it is still possible to perform a
network install at the point where anaconda bitches about the fact
that it cannot find the CD.
Comment 1 Jeremy Katz 2004-10-20 18:20:09 EDT
If you can start a network install after it fails and then switch to
tty2 and grab /tmp/anaconda.log and /tmp/syslog, one of the two might
have a clue for me as to what's going on.  (Be sure to select CD
install and have it fail first, though)
Comment 2 Jeremy Katz 2005-02-01 16:57:15 EST
Closing due to inactivity.  Please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.